Skip to content
Work with version specifiers (can parse PEP-440, SemVer, Ruby, NPM, Maven)
Python
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
dephell_specifier
tests
.gitignore
.travis.yml
LICENSE
README.md
pyproject.toml
requirements-flake.txt
setup.cfg

README.md

Dephell Specifier

Work with version specifiers.

Installation

Install from PyPI:

python3 -m pip install --user dephell_specifier

Usage

from dephell_specifier import RangeSpecifier

'3.4' in RangeSpecifier('*')
# True

'3.4' in RangeSpecifier('<=2.7')
# False

'3.4' in RangeSpecifier('>2.7')
# True

'3.4' in RangeSpecifier('>2.7,<=3.4')
# True

'3.4' in RangeSpecifier('<2.7 || >=3.4')
# True
You can’t perform that action at this time.